# WriteEZGemStatus

### int WriteEZGemStatus()

현재 EZGemPlus 라이브러리가 가지고 있는 각종 설정값과 통신 상태 정보(Communication State, Control State 등)를 실행파일 위치에 생성합니다.

```csharp
m_gem.WriteEZGemStatus();
```

```
-------------------------------
  EZGEM GENERAL STATE          
-------------------------------
VERSION           : 2.2.16 { 2026/03/24 }
GEM STARTED       : NOT STARTED
CONNECTION        : NOT CONNECTED
COMM STATE        : NOT COMMUNICATING
ONLINE STATE      : OFFLINE
CONTROL STATE     : ONLINE-REMOTE
LICENSE STATE     : EVALUATION
TIMESTAMP         : 2026-04-28, 13:46:19
-------------------------------
  PARAMETER SETTINGS           
-------------------------------
MODE              : PASSIVE
IP ADDR (LOCAL)   : 127.0.0.1
IP ADDR (REMOTE)  : 
TCP PORT          : 6000
DEVICEID          : 0
T3 TIMEOUT        : 10 (SEC)
T5 TIMEOUT        : 10 (SEC)
T6 TIMEOUT        : 10 (SEC)
T7 TIMEOUT        : 10 (SEC)
T8 TIMEOUT        : 10 (SEC)
FORMAT CHECK      : ON
LINKTEST INTERVAL : 60 (SEC)
-------------------------------
  LOG FILE INFO                
-------------------------------
CURRENT LOGFILE   : D:\1_SAMPLES\GEM\C#\C#샘플작업\TEST용\SampleGem\SampleGem\bin\x64\Debug\LOG\20260428\GEM_20260428_[0001].LOG
LOGFILE KEEPING   : 30 (DAYS)
LOGFILE SIZE      : 50 (MBYTES)
-------------------------------
  SVID (Status Variable ID     
-------------------------------
-------------------------------
  DVID (Data Variable ID       
-------------------------------
-------------------------------
  CEID (Collective Event ID)   
-------------------------------
-------------------------------
  RPTID (Report ID)            
-------------------------------
-------------------------------
  EVENT-REPORT LINK            
-------------------------------
-------------------------------
  DIRECTORY INFO               
-------------------------------
CURRENT FOLDER          : D:\1_SAMPLES\GEM\C#\C#샘플작업\TEST용\SampleGem\SampleGem\bin\x64\Debug
REPORTFILE PATH UPDATED : NOT UPDATED
REPORTFILE PATH         : 
-------------------------------
  ECID (Equipment Constant ID) 
-------------------------------
-------------------------------
  ALID (ALARM ID)              
-------------------------------
TOTAL ALARMS      : 0
ALARMS SET(OCCUR) : 0
ALARMS DISABLED   : 0
-------------------------------
  RCMD (Remote Command)        
-------------------------------
----------------------------
 Message Table (H->E)       
----------------------------
----------------------------
 Message Table (H<-E)       
----------------------------
----------------------------
 Spooling Messages          
----------------------------

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://nviasoft.gitbook.io/nviasoft-docs/api-reference/undefined-2/writeezgemstatus.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
